Ошибка при запуске chromedriver: «/lib64/libc.so.6: версия` GLIBC_2.14 'не найдена »в CentOS6

Я пытаюсь запустить chromedriver на CentOS 6. Подробнее об ОС

<code>[[email protected] bin]# uname --all
Linux localhost.localdomain 2.6.32-358.el6.x86_64 #1 SMP Fri Feb 22 00:31:26 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux</code>

Выдает следующую ошибку:

[[email protected] bin]# ./chromedriver ./chromedriver: /lib64/libc.so.6: version `GLIBC_2.15' not found (required by ./chromedriver)

<p>./chromedriver: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by ./chromedriver)</p>

./chromedriver: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by ./chromedriver)

Глядя на некоторые другие ответы и веб-сайты, я попытался обновить GCC, ноyum install gcc не будет обновляться, говоря, что пакет уже в последней версии.

Я неЯ не хочу трогать пакет вручную, поэтому я ищу другие способы его обновления.

Кроме того, если кто-то знает, как запустить chromedriver, пожалуйста, поделитесь им.

Спасибо за вашу помощь.

Ответы на вопрос(2)

есть способ запустить и хром, и хромедрайвер на amazon linux, centos 6.x и rhel. Основная идея использовать библиотеки из новой ОС.

Смотрите полностью автоматизированный скрипт здесьhttps://github.com/staier/chromedriver-centos6-installation

Решение Вопроса

/lib64/libc.so.6: version GLIBC_2.15

Двоичный файл, который вы пытаетесь запустить, был построен на основе системы GLIBC-2.15. Он не будет работать ни в одной системе с более старой версией GLIBC (а ваша GLIBC старше 2.14).

/usr/lib64/libstdc++.so.6: version GLIBCXX_3.4.15

Аналогично, ваш бинарный файл требуетlibstdc++.so.6 3.4.15 или выше (3.4.15 соответствует GCC 4.6).

Вам нужно запустить этот двоичный файл в более новой системе или создать этот двоичный файл для более старой.

И где я могу найти ОС с GLIBC-2.15

использованиеdistrowatch.com, Например, этоссылка на сайт показывает, что нет CentOS дистрибутивов, которые отвечают всем требованиям, номягкая фетровая шляпа 17 и позже достаточно новые.

 Employed Russian10 авг. 2013 г., 01:10
@nicoeatsnow I 'Мы обновили ответ.
 nicolas.leblanc09 авг. 2013 г., 21:58
И где я могу найти ОС с GLIBC-2.15?

Ваш ответ на вопрос